<!DOCTYPE html>
<html>
  <head>
    <style>
      span:first-child {
        color: red;
      }
    </style>
  </head>
  <body>
    <p>This is some text.</p>
    <p>This is some text.</p>

    <div>
      <span><p>hello</p></span>
      <p>hello</p>
      <p>hello</p>
      <span><p>world</p></span>
      <span>
        <i>me </i>
        <p>hello</p>
      </span>
    </div>
  </body>
</html>
